Skip to main content
PATCH
https://your-rootprint-host
/
api
/
indexes
/
{indexId}
/
sources
/
{sourceId}
Enable or disable an index source
curl --request PATCH \
  --url https://your-rootprint-host/api/indexes/{indexId}/sources/{sourceId} \
  --header 'Content-Type: application/json' \
  --cookie better-auth.session_token= \
  --data '
{
  "enabled": true
}
'
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "statusCode": 123,
    "requestId": "<string>",
    "details": [
      {
        "path": "<string>",
        "message": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

indexId
string
required

Quickwit index ID.

Minimum string length: 1
sourceId
string
required

Quickwit source ID.

Minimum string length: 1

Body

application/json
enabled
boolean
required

Response

Source updated.